Create Batch StatementJobs - m3ter Documentation

Create Batch StatementJobs

cURL

curl --request POST \
  --url https://api.m3ter.com/organizations/{orgId}/statementjobs/batch \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "billIds": [
    "<string>"
  ],
  "version": 123,
  "includeCsvFormat": true,
  "filters": {
    "meterIds": [
      "<string>"
    ]
  }
}
'

Python

import requests

url = "https://api.m3ter.com/organizations/{orgId}/statementjobs/batch"

payload = {
    "billIds": ["<string>"],
    "version": 123,
    "includeCsvFormat": True,
    "filters": { "meterIds": ["<string>"] }
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)

JavaScript (Fetch)

const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({
    billIds: ['<string>'],
    version: 123,
    includeCsvFormat: true,
    filters: {meterIds: ['<string>']}
  })
};

fetch('https://api.m3ter.com/organizations/{orgId}/statementjobs/batch', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));

PHP

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.m3ter.com/organizations/{orgId}/statementjobs/batch",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "POST",
  CURLOPT_POSTFIELDS => json_encode([
    'billIds' => [
        '<string>'
    ],
    'version' => 123,
    'includeCsvFormat' => true,
    'filters' => [
        'meterIds' => [
                '<string>'
        ]
    ]
  ]),
  CURLOPT_HTTPHEADER => [
    "Authorization: Bearer <token>",
    "Content-Type: application/json"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}

Go

package main

import (
    "fmt"
    "strings"
    "net/http"
    "io"
)

func main() {

url := "https://api.m3ter.com/organizations/{orgId}/statementjobs/batch"

payload := strings.NewReader("{\n  \"billIds\": [\n    \"<string>\"\n  ],\n  \"version\": 123,\n  \"includeCsvFormat\": true,\n  \"filters\": {\n    \"meterIds\": [\n      \"<string>\"\n    ]\n  }\n}")

req, _ := http.NewRequest("POST", url, payload)

req.Header.Add("Authorization", "Bearer <token>")
    req.Header.Add("Content-Type", "application/json")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
    body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}

HTTP Response Codes

Response Structure

[
  {
    "id": "<string>",
    "version": 123,
    "billId": "<string>",
    "orgId": "<string>",
    "includeCsvFormat": true,
    "filters": {
      "meterIds": [
        "<string>"
      ]
    },
    "presignedJsonStatementUrl": "<string>",
    "presignedCsvStatementUrl": "<string>",
    "dtCreated": "2023-11-07T05:31:56Z",
    "dtLastModified": "2023-11-07T05:31:56Z",
    "createdBy": "<string>",
    "lastModifiedBy": "<string>"
  }
]
{
  "message": "<string>"
}

Authorizations